Subject: Re: bug#36659: There should be an unattended upgrades service

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 16 Jul 2019 14:46:50 +0200

Hi Matthew,

> If an automatic updater is included by default (which I think would be
> a rather bad idea), it absolutely needs to be very easy for a user to
> disable.

Of course.  It would be as simple as removing a service from the list of
default system services in the operating system configuration.

> Further, an automatic upgrade service wouldn't really add anything
> useful, since cron jobs and scripts can already be used to automate
> upgrading if one so desires.

I disagree.  We provide a whole lot of services that aren’t strictly
necessary in order to satisfy what we think are reasonable user
expectations.  An upgrade service that’s easily removed or configured
seems nicer to me than having to muck about with cron jobs and scripts
by myself.

--
Ricardo